#
# spec file for package qpopper (Version 4.0.3)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         qpopper
Version:      4.0.3
Release:      180
Copyright:    Copyright (c) 2000 Qualcomm Inc.
Group:        Networking/Daemons
Provides:     pop
Obsoletes:    pop
Url:          http://www.qpopper.org
Source0:      qpopper4.0.3.tar.bz2
Source1:      pop3
Patch0:       auth-text.diff
# fix buffer overflow after authentication
Patch4:       security2.diff
Summary:      POP3 mail daemon from Qualcomm Inc.
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     pam

%description
Program to install a mail server with POP3 protocol. The daemon
does also support the more secure APOP protocol.

You have to agree to the license under
/usr/share/doc/packages/qpopper/License.txt before you are allowed to use
qpopper.

After installation you have to activate the server in
the file /etc/inetd.conf.

Authors:
--------
    QUALCOMM Incorporated

SuSE series: n

%prep
%setup -q -n %{name}%{version}
%patch0
%patch4 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
 --enable-uw-kludge \
 --enable-debugging \
 --with-pam \
 --with-warnings \
 --prefix=/usr \
 --enable-specialauth \
 --enable-apop=/etc/pop.auth \
 --with-popuid \
 --enable-shy
make CFLAGS="$RPM_OPT_FLAGS \
 -DBLOCK_UID=100 \
 -DPOP_TIMEOUT=600 \
 -DNONAUTHFILE=\\\"/etc/mail/pop.nonauthfile\\\""

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man8}
install -m 755 -s popper/popper $RPM_BUILD_ROOT/usr/sbin/popper
install -m 4755 -o pop -s popper/popauth $RPM_BUILD_ROOT/usr/sbin/popauth
sed -e 's#/usr/local/lib/popper#/usr/sbin/popper#g' < man/popper.8 > $RPM_BUILD_ROOT/usr/share/man/man8/popper.8
chmod 644 $RPM_BUILD_ROOT/usr/share/man/man8/popper.8
install -m 644 man/popauth.8 $RPM_BUILD_ROOT/usr/share/man/man8/popauth.8
install -m 644 -D $RPM_SOURCE_DIR/pop3 ${RPM_BUILD_ROOT}/etc/pam.d/pop3

%files
%doc INSTALL License.txt README doc
/usr/sbin/*
/usr/share/man/man8/*
%config /etc/pam.d/pop3

%changelog -n qpopper
* Thu Mar 13 2003 - arvin@suse.de
- fixed buffer overflow after authentication
* Mon Sep 17 2001 - arvin@suse.de
- added auth-text.diff to make response to 'wrong password'
  and 'non existing account' identical
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jun 18 2001 - arvin@suse.de
- updated to version 4.0.3
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Thu Jan 25 2001 - ro@suse.de
- added provides: pop and obsoletes: pop
  (fetchmail split-aliases need a pop package replacement)
* Fri Dec 15 2000 - arvin@suse.de
- renamed program qpopper to popper
* Fri Nov 17 2000 - arvin@suse.de
- updated to version 3.1.2
* Tue Oct 24 2000 - arvin@suse.de
- new package with qpopper 3.1 from qualcomm
